{outputType}: Get disaster event list

API: gdacs.org:gdacs-api
Endpoint: /events/geteventlist/{outputType}
Response format: application/geo+json
Auth: none
Method: GET

Description

Retrieve a list of disaster events filtered by type, date range, and other criteria. Returns GeoJSON FeatureCollection.

Parameters (6)

alertlevel (string, query, optional)

Filter by alert level

Constraints: {'enum': ['Green', 'Orange', 'Red']}

country (string, query, optional)

Filter by country name or ISO3 code

eventtypes (string, query, optional)

Comma-separated list of event types: EQ (Earthquake), TC (Tropical Cyclone), FL (Flood), VO (Volcano), DR (Drought), WF (Wild Fire)

fromDate (string, query, optional)

Start date for event search (ISO 8601 format)

outputType (string, path, required, default: MAP)

Output format type

Constraints: {'enum': ['MAP', 'LIST']}

toDate (string, query, optional)

End date for event search (ISO 8601 format)

Examples (1)

Get disaster event list openapi-spec
curl 'https://www.gdacs.org/gdacsapi/api/events/geteventlist/{outputType}?eventtypes=EQ%2CTC%2CFL&fromDate=2024-01-01&toDate=2024-12-31&alertlevel=Orange&country=USA'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/events/geteventlist/{outputType}",
    params={
        'eventtypes': 'EQ,TC,FL',
        'fromDate': '2024-01-01',
        'toDate': '2024-12-31',
        'alertlevel': 'Orange',
        'country': 'USA',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("events/geteventlist/{outputType}", eventtypes="EQ,TC,FL", fromDate="2024-01-01", toDate="2024-12-31", alertlevel="Orange", country="USA")

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/events/geteventlist/{outputType}?eventtypes=EQ%2CTC%2CFL&fromDate=2024-01-01&toDate=2024-12-31&alertlevel=Orange&country=USA");
const data = await resp.json();

No probe data for this endpoint yet.